; ********************************************************************************************
; Konstanten Bereich
; ********************************************************************************************


; *******************************************************************************************
; Display Strings
;
; Die ersten 16 Bytes sind der Festtext-Teil der Anzeige
;  ":" in Variablenposition = 0 als Space zeigen (Leading Zero Suppress)
;   0  in Variablenposition = Komprimiertes dB Zeichen
;   1         "             = Pfeile Up + Down
;   2         "             = Block 1 Linie breit (S-Meter)
;   3         "             = Block 2 Linien breit
;   4         "             = Block 3 Linien breit
;   6         "             = 3 Punkte (Frequenz)
;   7         "             = 4 Punkte
; $E1 = , $EF = , $F5 = , $E2 = , kein , , , $7E = ->, $7F = <-
;
; Die zweiten 16 Bytes sind jeweils Pointer auf die Variablen
;  1..8 = Leer
; Variablenname = Variable (Adresse <= $FF!) 
;  0 = Nchste Stelle der aktuellen Variable
; Variablenwerte 0..9 werden in ASCII '0'..'9' umgesetzt
;  " $80..87 werden in Sonderzeichen 0..7 (siehe oben) umgesetzt
;
; Fr Texte ohne Variablen gengen 18 Byte: Erste 16 Byte wie oben, danach 0,0
; 
	;   	>12345678<	Power On
STRPO:	.DB  	" FJRX 2 "
	.DB	" V.",VERSHI,".",VERSLO,"+ "	; markiert die DC7GB-Version
	.DW     0
	;
	;   	>12345678<	RX Off
STR000:	.DB  	" RX Aus "
	.DB	"F:.  :.s"
	.DB     1,2,3,4,5,6,7,8
	.DB     1,FOX,0,4,5,TIMER,0,8
	;
	;   	>12345678<	RX Off
STR001:	.DB  	" RX Aus "
	.DB	".:..:.. "
	.DB     1,2,3,4,5,6,7,8  
	.DB     STOPW,2,0,0,5,0,0,8
	;
	;   	>12345678<	Frequenz ndern + S-Meter anzeigen
STR02:	.DB  	"14.:...",1
	.DB	"        "
	.DB     1,2,FRQ,FRQXSY,FRQ+1,0,0,8  
	.DB     UMESS,0,0,0,0,0,0,0
	;
	;   	>12345678<	Timer, Entfernung + S-Meter anzeigen
STR030:	.DB  	". :. :.."	
	.DB	"        "
	.DB     FOX+1,FRQXSY,TIMER,0,AUTOON,DIST,0,0   
	.DB     UMESS,0,0,0,0,0,0,0
	;
	;   	>12345678<	Stopuhr, Entfernung + S-Meter anzeigen
STR031:	.DB  	". .. :.."	
	.DB	"        "
	.DB     STOPW,FRQXSY,STOPW+1,0,AUTOON,DIST,0,0   
	.DB     UMESS,0,0,0,0,0,0,0
	;
	;   	>12345678<	Stopuhr stoppen
STR040:	.DB  	"Uhr Stop"
	.DB	".:..:.. "
	.DB     1,2,3,4,5,6,7,8  
	.DB     STOPW,2,0,0,5,0,0,8
	;
	;   	>12345678<	Stopuhr neu starten
STR041:	.DB  	"UhrStart"
	.DB	".:..:.. "
	.DB     1,2,3,4,5,6,7,8  
	.DB     STOPW,2,0,0,5,0,0,8
	;
	;   	>12345678<	Timer neu starten
STR05:	.DB  	"TmrStart"
	.DB	"F:.  :.s"
	.DB     1,2,3,4,5,6,7,8  
	.DB     1,FOX,0,4,5,TIMER,0,8
	;
	;   	>12345678<	Set-Up-Menu aufrufen
STR06:	.DB  	"Einstell"
	.DB	$7E,"  -men",$F5
	.DW     0 
	;
	;   	>12345678<	Frequenz ndern anbieten
STR07:	.DB  	"14.:... "
	.DB	$7E," ",$E1,"ndern"
	.DB     1,2,FRQ,FRQXSY,FRQ+1,0,0,8  
	.DB     1,2,3,4,5,6,7,8
	;
	;   	>12345678<	Zahl Timer einstellen
STR10:	.DB  	"N Timer "
	.DB	"  :. ",1,"  "
	.DB     1,2,3,4,5,6,7,8  
	.DB     1,2,NFOX,0,5,6,7,8
	;
	;   	>12345678<	Zeit Fchse Sekunden einstellen 
STR11:	.DB  	"T Fuchs",1
	.DB	">:.<,..s"
	.DB     1,2,3,4,5,6,7,8  
	.DB     1,TFOXS,0,4,5,0,0,8
	;
	;   	>12345678<	Zeit Fchse ms einstellen
STR12:	.DB  	"T Fuchs",1
	.DB	":.,>..<s"
	.DB     1,2,3,4,5,6,7,8  
	.DB     TFOXS,0,3,4,0,0,7,8
	;
	;   	>12345678<	Sendeleistung Fchse einstellen
STR13:	.DB  	"P QRG   "
	.DB	":.,. .W",1
	.DB     1,2,3,4,5,6,FRQXSY,8
	.DB     PFOX,0,3,0,5,0,7,8
	;
	;   	>12345678<	Zahl Frequenzen einstellen 
STR14:	.DB  	"N QRG   "
	.DB	"   : ",1,"  "
	.DB     1,2,3,4,5,6,7,8  
	.DB     1,2,3,NFREQ,5,6,7,8
	;
	;   	>12345678<	EOT Alarmzeit einstellen
STR15:	.DB  	"T Alarm "
	.DB	"- :.s ",1," "
	.DB     1,2,3,4,5,6,7,8  
	.DB     1,2,TALARM,0,5,6,7,8
	;
	;   	>12345678<	Akustisches S-Meter Schwelle einstellen
STR16:	.DB  	"Akust.SM"
	.DB	$F5,"ber ./8"
	.DB     1,2,3,4,5,6,7,8  
	.DB     1,2,3,4,5,ACSMLV,7,8
	;
	;   	>12345678<	
STR20:	.DB  	"Abgleich"
	.DB	"Aus=Ende"
	.DW	0
	;
	;   	>12345678<	
STR21:	.DB  	" EEPROM "
	.DB	$7E," Reload"
	.DW	0
	;
	;   	>12345678<	UBat kalibrieren
STR22:	.DB  	"Abg UBat"
	.DB     "...:.,.V"  
	.DB     1,2,3,4,5,6,7,8  
	.DB     UBFVAL,0,0,UBATT,0,6,0,8
	;
	;   	>12345678<	Frequenz kalibrieren
STR23:	.DB  	"AbgF ..."
	.DB	"        "
	.DB     1,2,3,4,5,FFIVAL,0,0  
	.DB     UMESS,0,0,0,0,0,0,0
	;
	;   	>12345678<	Abschwcher kalibrieren
STR24:	.DB  	"Abg Absw"
	.DB	$7E," Start "
	.DW	0
	;
	;   	>12345678<	Frequenzbereich ..146
STR250:	.DB  	"FBereich"
	.DB	"144-146",$7E
	.DW	0
	;
	;   	>12345678<	Frequenzbereich ..148
STR251:	.DB  	"FBereich"
	.DB	"144-148",$7F
	.DW	0
	;
	;   	>12345678<	Batterie-Warnschwelle einstellen
STR26:	.DB  	"BatWarng"
	.DB	"< .,. V",1
	.DB     1,2,3,4,5,6,7,8  
	.DB     1,2,UBWARN,4,0,6,7,8
	;
	;   	>12345678<	
STR27:	.DB  	"Abgleich"
	.DB	$7E,"Sichern"
	.DW	0
	;
	;   	>12345678<	Abschwcher kalibrieren
STRCAL:	.DB  	":.. :..",0
	.DB	"        "
	.DB     ABSVAL,0,0,4,ABSCHW,0,0,8  
	.DB     UMESS,0,0,0,0,0,0,0
	;
	; ** Die folgenden Strings sind Flash-Meldungen
	;
	;   	>12345678<	Genderte Daten in EEPROM schreiben
STRSAV:	.DB  	">>EEPROM"
	.DB	"        "
	.DW	0
	;
	;   	>12345678<	Batteriespannung niedrig
STRBAT:	.DB  	"Batterie"
	.DB	" < .,. V"
	.DB     1,2,3,4,5,6,7,8  
	.DB     1,2,3,UBWARN,5,0,7,8
	;
	;   	>12345678<	Men neu aufgemacht
STRMEN:	.DB  	"14..... "
	.DB	".:..:.,."
	.DB     1,2,FRQ,FRQXSY,FRQ+1,0,0,8  
	.DB     STOPW,1,0,0,UBATT,0,7,0
	;
	;   	>12345678<	Kanal gendert
STRFRQ:	.DB  	"14..... "
	.DB	"   - . -"
	.DB     1,2,FRQ,FRQXSY,FRQ+1,0,0,8  
	.DB     1,2,3,4,5,FRQX,7,8
	;
	;   	>12345678<	Abschwcher-Automatik aus
STRAA0:	.DB  	"Automa- "
	.DB	"tik  AUS"
	.DW	0
	;
	;   	>12345678<	Abschwcherautomatik ein
STRAA1:	.DB  	"Automa- "
	.DB	"tik  EIN"
	.DW	0
	;
	;   	>12345678<	Sendezeit-Ende Alarm 
STRALA:	.DB  	"  Noch  "
	.DB	" :. sec "
	.DB     1,2,3,4,5,6,7,8  
	.DB     1,TALARM,0,4,5,6,7,8

		

; *******************************************************************************************
; Sound Strings

; Diese Strings enthalten Tonwertfolgen, die im 100ms-Raster 
;   abgespielt werden. Frequenz ist 10 kHz / Wert:
; 3 = 3,3 kHz, 10 = 1 kHz, 100 = 100 Hz
; Sonderflle: 1 = kein Ton, 0 = End of String  

SOUPO:	.DB  	1,9,1,9,1,9,1,13	; Power-On-Fanfare
	.DB	13,13,13,1,1,1,1,0	

SOUABS:	.DB	1,1,20,10,1,1,0,0	; Automatik-Abschwcher
SOUAB2:	.DB	20,10,20,10,1,1,0,0	; Automatik-Abschwcher, Sound fr Serie

SOUALA:	.DB	3,4,6,9,12,18,24,0	; 'Ende - x sec'-Alarm	

SOUBAT:	.DB	15,10,5,10,15,10,5,10,15,10 ; Low Battery Alarm
	.DB	5,10,15,10,5,10,15,10
	.DB	5,10,15,10,5,10,15,10
	.DB	5,10,15,10,5,10,15,10,5,0

SOUAA0:	.DB	1,25,1,25,1,25,1,0	; Abschwcher-Automatik aus

SOUAA1:	.DB	1,25,25,1,1,25,25,1,0,0	; Abschwcher-Automatik ein		

SOUF1:	.DB	1,15,1,1,1,10,1,10,10,10,1,10,10,10,1,10,10,10,1,10,10,10,0	; Frequenz 1
SOUF2:	.DB	1,15,1,1,1,10,1,10,1,10,10,10,1,10,10,10,1,10,10,10,0		; F 2
SOUF3:	.DB	1,15,1,1,1,10,1,10,1,10,1,10,10,10,1,10,10,10,0			; F 3
SOUF4:	.DB	1,15,1,1,1,10,1,10,1,10,1,10,1,10,10,10,0			; F 4
SOUF5:	.DB	1,15,1,1,1,10,1,10,1,10,1,10,1,10,0				; F 5
SOUF6:	.DB	1,15,1,1,1,10,10,10,1,10,1,10,1,10,1,10,0			; F 6

SOUOK:	.DB	1,1,15,1,15,15,15,1,15,1,1,0			; Ok 

SOUEI:	.DB	1,10,1,1,1,10,1,10,1,0				; EEPROM Initialisieren

SOUEW:	.DB	1,10,1,1,1,10,1,10,10,10,1,10,10,10,1,0		; EEPROM Write

SOUER:	.DB	1,10,1,1,1,10,1,10,10,10,1,10,1,0		; EEPROM Read



; *******************************************************************************************
; Sprungtabellen:

MODETAB:	.db	0,2,3,4,5,6,7,$10,$11,$12,$13,$14,$15,$16
		.db	$20,$21,$22,$23,$24,$25,$26,$27,-1

SHOWTAB:	.dw	0,STR02<<1,0,0,STR05<<1,STR06<<1,STR07<<1
		.dw	STR10<<1,STR11<<1,STR12<<1,STR13<<1,STR14<<1,STR15<<1,STR16<<1
		.dw	STR20<<1,STR21<<1,STR22<<1,STR23<<1,STR24<<1,0,STR26<<1,STR27<<1 

